Security Enhanced Linux Reference Policy

# Layer: apps

## Module: rssh

Interfaces Templates

### Description:

Restricted (scp/sftp) only shell.

### Interfaces:

rssh_domtrans_chroot_helper( domain )

##### Summary

Execute a domain transition to run rssh chroot helper.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

rssh_exec( domain )

##### Summary

Execute the rssh program in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rssh_read_ro_content( domain )

##### Summary

Read users rssh read-only content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rssh_spec_domtrans( domain )

##### Summary

Execute rssh in the rssh domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

Return

### Templates:

rssh_role( role_prefix , user_domain , user_exec_domain , role )

##### Summary

Role access for rssh.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user role (e.g., user is the prefix for user_r).
user_domain | User domain for the role.
user_exec_domain | User exec domain for execute and transition access.
role | Role allowed access

Return